petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatColoringWeightType

Type of weight scheme

### Synopsis

    typedef enum {MAT_COLORING_WEIGHT_RANDOM,MAT_COLORING_WEIGHT_LEXICAL,MAT_COLORING_WEIGHT_LF,MAT_COLORING_WEIGHT_SL} MatColoringWeightType;

Not Collective

| MAT_COLORING_RANDOM | - Random weights
| MAT_COLORING_LEXICAL | - Lexical weighting based upon global numbering.
| MAT_COLORING_LF | - Last-first weighting.

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h

### Level

intermediate

### Location

src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages